<?php
/**
 * The mail file of meeting module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Yuchun Li <liyuchun@easycorp.ltd>
 * @package     meeting
 * @version     $Id: sendmail.html.php 4129 2021-06-11 13:53:00 $
 * @link        https://www.zentao.net
 */
?>
<?php $mailTitle = 'MEETING #' . $meeting->id . ' ' . $meeting->name;?>
<?php include $this->app->getModuleRoot() . 'common/view/mail.header.html.php';?>
<tr>
  <td>
    <table cellpadding='0' cellspacing='0' width='600' style='border: none; border-collapse: collapse;'>
      <tr>
        <td style='padding: 10px; background-color: #F8FAFE; border: none; font-size: 14px; font-weight: 500; border-bottom: 1px solid #e5e5e5;'>
          <?php echo html::a(zget($this->config->mail, 'domain', common::getSysURL()) . helper::createLink('meeting', 'view', "meetingID=$meeting->id", 'html'), $mailTitle, '', "text-decoration: underline;'");?>
        </td>
      </tr>
    </table>
  </td>
</tr>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->date;?></legend>
      <div style='padding:5px;'><?php echo $meeting->date . ' ' . $meeting->begin . ' ~ ' . $meeting->end;?></div>
    </fieldset>
  </td>
</tr>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->mode;?></legend>
      <div style='padding:5px;'><?php echo zget($this->lang->meeting->modeList, $meeting->mode);?></div>
    </fieldset>
  </td>
</tr>
<?php if($meeting->room):?>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->room;?></legend>
      <div style='padding:5px;'><?php echo zget($rooms, $meeting->room);?></div>
    </fieldset>
  </td>
</tr>
<?php endif;?>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->host;?></legend>
      <div style='padding:5px;'><?php echo zget($users, $meeting->host);?></div>
    </fieldset>
  </td>
</tr>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->participant;?></legend>
      <div style='padding:5px;'><?php echo $meeting->participantName;?></div>
    </fieldset>
  </td>
</tr>
<?php if($meeting->minutedBy):?>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->minutedBy;?></legend>
      <div style='padding:5px;'><?php echo zget($users, $meeting->minutedBy);?></div>
    </fieldset>
  </td>
</tr>
<tr>
  <td style='padding: 10px; border: none;'>
    <fieldset style='border: 1px solid #e5e5e5'>
      <legend style='color: #114f8e'><?php echo $this->lang->meeting->minutes;?></legend>
      <div style='padding:5px;'><?php echo $meeting->minutes;?></div>
    </fieldset>
  </td>
</tr>
<?php endif;?>
<?php include $this->app->getModuleRoot() . 'common/view/mail.footer.html.php';?>
